summaryrefslogtreecommitdiff
path: root/evergreen/jstestfuzz_run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'evergreen/jstestfuzz_run.sh')
-rw-r--r--evergreen/jstestfuzz_run.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/evergreen/jstestfuzz_run.sh b/evergreen/jstestfuzz_run.sh
index 9e6f94ee65b..d79ed69ac9b 100644
--- a/evergreen/jstestfuzz_run.sh
+++ b/evergreen/jstestfuzz_run.sh
@@ -1,10 +1,13 @@
DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" > /dev/null 2>&1 && pwd)"
. "$DIR/prelude.sh"
-set -evo pipefail
-
cd src/jstestfuzz
+set -o errexit
+set -o verbose
+
+add_nodejs_to_path
+
in_patch_build_flag=""
if [[ "${is_patch}" = "true" ]]; then
case "${npm_command}" in
@@ -14,4 +17,4 @@ if [[ "${is_patch}" = "true" ]]; then
esac
fi
-./src/scripts/npm_run.sh ${npm_command} -- ${jstestfuzz_vars} ${in_patch_build_flag} --branch ${branch_name}
+eval npm run "${npm_command}" -- "${jstestfuzz_vars}" "${in_patch_build_flag}" --branch "${branch_name}"